Transfer policy and workflow

To learn more about Cryptshare and Cryptshare transfers in detail, you can find more information in the following YouTube links that describe sending a transfer in the regular Cryptshare Web Interface:

Transfer policy

Please note that the Cryptshare Server only allows this operation for a verified sender email address.

Cryptshare uses Policy settings that can be defined on the server side to allow or deny usage of the system to certain senders and recipients and to control the transfer options pertaining to specific senders and recipients. You can request the policy rules configured for a specific sender/recipients combination by calling the respective endpoint. The method takes a list of recipient email addresses in the request body and returns the Transfer Policy containing the resulting policy rules.

POST https://<your-url>/api/users/<sender-email-address>/transfer-policy

In case the sender’s email address is not allowed at all, an exception is returned.

In other cases, a result object is returned with the following information:

Table 1. Response object
Description Property

Whether a transfer with the requested sender-recipient combination would be allowed or not.

allowed

The evaluated policy settings of the matching policy rules. This is only set the transfer would be allowed at all.

settings

List of all recipients to which the given sender is not allowed to perform a transfer. This is only set if the transfer would not be allowed.

failedRecipients

The evaluated policy settings contain the following information:

Table 2. Policy Settings object
Description Property

Max. number of days the transfer is retrievable, starting at the transfer’s provision time.

maxRetentionPeriod

Max. total size of all files in bytes.

maxTotalSize

Default setting for showing file names in notifications and logs.

showFileNamesDefault

Specifies whether the showFileNamesDefault setting is changeable or not.

showFileNamesChangeable

Default setting for showing file names within ZIP files in notifications and logs. This only has an effect if file names are shown in general.

showZipFileContentDefault

Default setting for sending download notifications on file retrieval.

sendDownloadNotificationsDefault

Specifies whether the sendDownloadNotificationsDefault setting is changeable or not.

sendDownloadNotificationsChangeable

Specifies whether a confidential message can be part of the transfer or not.

confidentialMessageAllowed

Specifies whether a confidential message has to be part of the transfer or not.

confidentialMessageRequired

Specifies whether the recipient notification can be edited or not.

recipientNotificationEditable

List of available security modes (OneTimePasswordSecurityMode, QuickSecurityMode, EidSecurityMode), ordered by priority. The first element is meant to be set as default by the client.

securityModes

If the File Type Filter is not activated, then this value will be null and all file types will be allowed to be transferred. If the File Type Filter is activated, this value will contain the configuration of the File Type Filter.

fileTypeFilterConfig

Table 3. File Type Filter Config object
Description Property

The listMode property in the fileTypeFilterConfig determines the file type policy, with possible values "ALLOW" or "DENY".

listMode

The list of file types allowed (or denied) in the policy. Note: When listMode property is set to "ALLOW", the file types listed in the fileTypes array are permitted. Conversely, when set to "DENY", the file types listed in the fileTypes array are prohibited.

fileTypes